{% apply spaceless %}

{% set data_attr = dataAttr|default('') %}

{% if no_nav|default(false) %}
    {% set classes = classes|merge(['roller-no-nav']) %}
{% endif %}

<div {{ id is defined ? 'id=' ~ id : '' }} class="roller-holder js-roller {{ classes|default([])|join(' ') }}" data-offset="{{ offset|default(15) }}" {{ data_attr|raw }}>
    <div class="roller-slider">
        {% block slider %}
            <div class="roller-item"></div>
            <div class="roller-item"></div>
            <div class="roller-item"></div>
            <div class="roller-item"></div>
            <div class="roller-item"></div>
            <div class="roller-item"></div>
        {% endblock %}
    </div>
    {% if not no_nav|default(false) %}
    <div class="roller-btn-holder">
        <button class="roller-btn btn-left disabled material-icons" aria-label="{{ 'label.roller.button.left'|trans({}, 'accessibility') }}">chevron_left</button>
        <button class="roller-btn btn-right material-icons" aria-label="{{ 'label.roller.button.right'|trans({}, 'accessibility') }}">chevron_right</button>
    </div>
    {% endif %}
</div>
{% endapply %}
